<?php
declare(strict_types=1);

namespace Catequil\User;

/**
 * Class ConfigProvider
 *
 * @package Catequil\User
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-user
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'dependencies' => [

            ],
            'orm' => [
                'implementations' => [
                    Model\UserInterface::class => Model\User::class,
                ],
                'entity_paths' => [
                    __NAMESPACE__ => __DIR__ . '/Model',
                ],
            ],
        ];
    }
}