<?php
declare(strict_types=1);

namespace Catequil\User\Service;

use Catequil\User\Model\UserInterface;

/**
 * Interface UserServiceInterface
 *
 * @package Catequil\User\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-user
 */
interface UserServiceInterface
{
    public function findUserByEmailAddress(string $emailAddress): ?UserInterface;
}